#include <bits/stdc++.h>

using namespace std;

int main()
{

    int p,q,r;
    long long int l,d,rez,brojac=0;
    scanf("%d%d%d%lld%lld",&p,&q,&r,&l,&d);
    if(p==1||q==1||r==1) {printf("0"); return 0;}
    if(p+q==4||p+r==4||q+r==4) {printf("0"); return 0;}
    if(p==2&&q==3&&r==7)
    {
        for(long long int i=l;i<=d&&i<=43;i++)
        {
            rez=i/p+bool(i%q)+i/q+i/r+bool(i%r)+bool(i%p);
            if(rez<=i) {brojac++;}
        }
        if(d>43)brojac+=d-43;
    }
    else {
        for(long long int i=l;i<=d;i++)
    {
        rez=i/p+bool(i%q)+i/q+i/r+bool(i%r)+bool(i%p);
        if(rez<=i) brojac++;

    }}
    printf("%lld",brojac);
    return 0;
}